<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="FirstSolution.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
        </Scripts>
    </telerik:RadScriptManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
    </telerik:RadAjaxManager>
    <div>
        <telerik:RadGrid ID="RadGrid" Width="820" runat="server" AutoGenerateColumns="False"
            OnNeedDataSource="RadGrid_NeedDataSource" 
            OnDeleteCommand="RadGrid_Command" OnInsertCommand="RadGrid_Command"
            OnUpdateCommand="RadGrid_Command" GridLines="None" ShowFooter="True" GroupingEnabled="False"
            Skin="Telerik">
            <MasterTableView ShowHeadersWhenNoRecords="true" DataKeyNames="CategoryID" GridLines="None" CommandItemDisplay="Top"
                NoMasterRecordsText="No Categories have been added.">
                <CommandItemSettings AddNewRecordText="Add New Category" RefreshText="Refresh Category List" />
                <Columns>
                    <telerik:GridButtonColumn CommandName="Delete" Text="Delete" UniqueName="Delete"
                        ButtonType="ImageButton">
                    </telerik:GridButtonColumn>
                    <telerik:GridBoundColumn DataField="CategoryID" HeaderText="CategoryID" UniqueName="CategoryID"
                        ReadOnly="True">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CategoryTitle" HeaderText="CategoryTitle" UniqueName="CategoryTitle">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CategoryDescription" HeaderText="CategoryDescription"
                        UniqueName="CategoryDescription">
                    </telerik:GridBoundColumn>
                    <telerik:GridEditCommandColumn ButtonType="ImageButton">
                    </telerik:GridEditCommandColumn>
                </Columns>
                <EditFormSettings ColumnNumber="2" CaptionFormatString="Edit details for category with ID {0}"
                    CaptionDataField="CategoryID">
                    <FormTableItemStyle Wrap="False"></FormTableItemStyle>
                    <FormCaptionStyle CssClass="EditFormHeader"></FormCaptionStyle>
                    <FormMainTableStyle CellSpacing="0" CellPadding="3" Width="100%" />
                    <FormTableStyle GridLines="Horizontal" CellSpacing="0" CellPadding="2" CssClass="module"
                        Height="110px" Width="100%" />
                    <FormTableAlternatingItemStyle Wrap="False"></FormTableAlternatingItemStyle>
                    <FormStyle Width="100%" BackColor="#EEF2EA"></FormStyle>
                    <EditColumn UpdateText="Update record" UniqueName="EditCommandColumn1" CancelText="Cancel edit">
                    </EditColumn>
                    <FormTableButtonRowStyle HorizontalAlign="Right" CssClass="EditFormButtonRow"></FormTableButtonRowStyle>
                </EditFormSettings>
                <ExpandCollapseColumn>
                    <HeaderStyle Width="19px"></HeaderStyle>
                </ExpandCollapseColumn>
                <RowIndicatorColumn>
                    <HeaderStyle Width="20px" />
                </RowIndicatorColumn>
            </MasterTableView>
            <FilterMenu EnableTheming="True">
                <CollapseAnimation Duration="200" Type="OutQuint" />
            </FilterMenu>
        </telerik:RadGrid>
    </div>
    </form>
</body>
</html>
